display: unicode-without-blank.dis
table:
  locale: da
  grade: 2
  dots: 6
  direction: forward
  __assert-match: da-dk-g26-lit.ctb
tests:
# Test characters
  - [" ", " "]
  - ["\"", "⠶"]
  - ["\u0023", "⠘⠼"]
  - ["$", "⠘⠲"]
  - ["%", "⠚⠴"]
  - ["&", "⠠⠯"]
  - ["'", "⠈"]
  - ["(", "⠠⠦"]
  - [")", "⠠⠴"]
  - ["*", "⠠⠔"]
  - ["+", "⠘⠖"]
  - [",", "⠂"]
  - ["-", "⠤⠤"]
  - [".", "⠄"]
  - ["/", "⠠⠌", {xfail: true}]
  - ["0", "⠼⠚"]
  - ["1", "⠼⠁"]
  - ["2", "⠼⠃"]
  - ["3", "⠼⠉"]
  - ["4", "⠼⠙"]
  - ["5", "⠼⠑"]
  - ["6", "⠼⠋"]
  - ["7", "⠼⠛"]
  - ["8", "⠼⠓"]
  - ["9", "⠼⠊"]
  - [":", "⠒"]
  - [";", "⠆"]
  - ["<", "⠘⠍"]
  - ["=", "⠘⠶"]
  - [">", "⠘⠎"]
  - ["?", "⠢"]
  - ["@", "⠘⠁"]
  - ["A", "⠨⠠⠁"]
  - ["B", "⠨⠠⠃"]
  - ["C", "⠨⠠⠉"]
  - ["D", "⠨⠠⠙"]
  - ["E", "⠨⠠⠑"]
  - ["F", "⠨⠠⠋"]
  - ["G", "⠨⠠⠛"]
  - ["H", "⠨⠠⠓"]
  - ["I", "⠨⠊"]
  - ["J", "⠨⠠⠚"]
  - ["K", "⠨⠠⠅"]
  - ["L", "⠨⠠⠇"]
  - ["M", "⠨⠠⠍"]
  - ["N", "⠨⠠⠝"]
  - ["O", "⠨⠠⠕"]
  - ["P", "⠨⠠⠏"]
  - ["Q", "⠨⠠⠟"]
  - ["R", "⠨⠠⠗"]
  - ["S", "⠨⠠⠎"]
  - ["T", "⠨⠠⠞"]
  - ["U", "⠨⠠⠥"]
  - ["V", "⠨⠠⠧"]
  - ["W", "⠨⠠⠺"]
  - ["X", "⠨⠠⠭"]
  - ["Y", "⠨⠠⠽"]
  - ["Z", "⠨⠠⠵"]
  - ["[", "⠐⠦"]
  - ["\u005c\u005c", "⠘⠡"]
  - ["]", "⠐⠴"]
  - ["^", "⠘⠬"]
  - ["_", "⠘⠤"]
  - ["`", "⠈"]
  - ["a", "⠠⠁"]
  - ["b", "⠠⠃"]
  - ["c", "⠠⠉"]
  - ["d", "⠠⠙"]
  - ["e", "⠠⠑"]
  - ["f", "⠠⠋"]
  - ["g", "⠠⠛"]
  - ["h", "⠠⠓"]
  - ["i", "⠊"]
  - ["j", "⠠⠚"]
  - ["k", "⠠⠅"]
  - ["l", "⠠⠇"]
  - ["m", "⠠⠍"]
  - ["n", "⠠⠝"]
  - ["o", "⠠⠕"]
  - ["p", "⠠⠏"]
  - ["q", "⠠⠟"]
  - ["r", "⠠⠗"]
  - ["s", "⠠⠎"]
  - ["t", "⠠⠞"]
  - ["u", "⠠⠥"]
  - ["v", "⠠⠧"]
  - ["w", "⠠⠺"]
  - ["x", "⠠⠭"]
  - ["y", "⠠⠽"]
  - ["z", "⠠⠵"]
  - ["{", "⠘⠪"]
  - ["|", "⠘⠸"]
  - ["}", "⠘⠕"]
  - ["~", "⠘⠠"]
  - ["€", "⠘⠑"]
  - ["‚", "⠈"]
  - ["ƒ", "⠘⠋"]
  - ["„", "⠶"]
  - ["…", "⠄⠄⠄"]
  - ["‰", "⠚⠴⠴"]
  - ["Š", "⠨⠐⠎"]
  - ["‹", "⠈"]
  - ["Œ", "⠨⠕⠑"]
  - ["Ž", "⠨⠐⠵"]
  - ["‘", "⠈"]
  - ["’", "⠈"]
  - ["“", "⠶"]
  - ["”", "⠶"]
  - ["•", "⠘⠄"]
  - ["–", "⠤⠤"]
  - ["—", "⠤⠤"]
  - ["˜", "⠘⠠"]
  - ["™", "⠘⠞"]
  - ["š", "⠐⠎"]
  - ["›", "⠈"]
  - ["œ", "⠕⠑"]
  - ["ž", "⠐⠵"]
  - ["Ÿ", "⠨⠐⠽"]
  - ["¡", "⠠⠲"]
  - ["¢", "⠘⠒"]
  - ["£", "⠘⠇"]
  - ["¥", "⠘⠽"]
  - ["§", "⠬"]
  - ["©", "⠘⠉"]
  - ["«", "⠶"]
  - ["®", "⠘⠗"]
  - ["°", "⠈⠴"]
  - ["±", "⠘⠖⠤"]
  - ["²", "⠼⠬⠃"]
  - ["³", "⠼⠬⠉"]
  - ["´", "⠈"]
  - ["µ", "⠐⠍"]
  - ["¹", "⠼⠬⠁"]
  - ["»", "⠶"]
  - ["¼", "⠼⠁⠌⠙"]
  - ["½", "⠼⠁⠌⠃"]
  - ["¾", "⠼⠉⠌⠙"]
  - ["À", "⠨⠐⠁"]
  - ["Á", "⠨⠐⠁"]
  - ["Â", "⠨⠐⠁"]
  - ["Ã", "⠨⠐⠁"]
  - ["Ä", "⠨⠠⠜"]
  - ["Å", "⠨⠠⠡"]
  - ["Æ", "⠨⠠⠜"]
  - ["Ç", "⠨⠐⠉"]
  - ["È", "⠨⠐⠑"]
  - ["É", "⠨⠐⠑"]
  - ["Ê", "⠨⠐⠑"]
  - ["Ë", "⠨⠐⠑"]
  - ["Ì", "⠨⠐⠊"]
  - ["Í", "⠨⠐⠊"]
  - ["Î", "⠨⠐⠊"]
  - ["Ï", "⠨⠐⠊"]
  - ["Ð", "⠨⠐⠙"]
  - ["Ñ", "⠨⠐⠝"]
  - ["Ò", "⠨⠐⠕"]
  - ["Ó", "⠨⠐⠕"]
  - ["Ô", "⠨⠐⠕"]
  - ["Õ", "⠨⠐⠕"]
  - ["Ö", "⠨⠠⠪"]
  - ["×", "⠘⠄"]
  - ["Ø", "⠨⠠⠪"]
  - ["Ù", "⠨⠐⠥"]
  - ["Ú", "⠨⠐⠥"]
  - ["Û", "⠨⠐⠥"]
  - ["Ü", "⠨⠠⠳"]
  - ["Ý", "⠨⠐⠽"]
  - ["Þ", "⠨⠐⠞"]
  - ["ß", "⠎⠎"]
  - ["à", "⠐⠁"]
  - ["á", "⠐⠁"]
  - ["â", "⠐⠁"]
  - ["ã", "⠐⠁"]
  - ["ä", "⠠⠜"]
  - ["å", "⠠⠡"]
  - ["æ", "⠠⠜"]
  - ["ç", "⠐⠉"]
  - ["è", "⠐⠑"]
  - ["é", "⠐⠑"]
  - ["ê", "⠐⠑"]
  - ["ë", "⠐⠑"]
  - ["ì", "⠐⠊"]
  - ["í", "⠐⠊"]
  - ["î", "⠐⠊"]
  - ["ï", "⠐⠊"]
  - ["ð", "⠐⠙"]
  - ["ñ", "⠐⠝"]
  - ["ò", "⠐⠕"]
  - ["ó", "⠐⠕"]
  - ["ô", "⠐⠕"]
  - ["õ", "⠐⠕"]
  - ["ö", "⠠⠪"]
  - ["÷", "⠘⠲"]
  - ["ø", "⠠⠪"]
  - ["ù", "⠐⠥"]
  - ["ú", "⠐⠥"]
  - ["û", "⠐⠥"]
  - ["ü", "⠠⠳"]
  - ["ý", "⠐⠽"]
  - ["þ", "⠐⠞"]
  - ["ÿ", "⠐⠽"]

# Latin Extended-A

  - ["\u0100\u0101", "⠐⠁⠐⠁"]
  - ["\u0102\u0103", "⠐⠁⠐⠁"]
  - ["\u0104\u0105", "⠐⠁⠐⠁"]
  - ["\u0106\u0107", "⠐⠉⠐⠉"]
  - ["\u0108\u0109", "⠐⠉⠐⠉"]
  - ["\u010a\u010b", "⠐⠉⠐⠉"]
  - ["\u010c\u010d", "⠐⠉⠐⠉"]
  - ["\u010e\u010f", "⠐⠙⠐⠙"]
  - ["\u0110\u0111", "⠐⠙⠐⠙"]
  - ["\u0112\u0113", "⠐⠑⠐⠑"]
  - ["\u0114\u0115", "⠐⠑⠐⠑"]
  - ["\u0116\u0117", "⠐⠑⠐⠑"]
  - ["\u0118\u0119", "⠐⠑⠐⠑"]
  - ["\u011a\u011b", "⠐⠑⠐⠑"]
  - ["\u011c\u011d", "⠐⠛⠐⠛"]
  - ["\u011e\u011f", "⠐⠛⠐⠛"]
  - ["\u0120\u0121", "⠐⠛⠐⠛"]
  - ["\u0122\u0123", "⠐⠛⠐⠛"]
  - ["\u0124\u0125", "⠐⠓⠐⠓"]
  - ["\u0126\u0127", "⠐⠓⠐⠓"]
  - ["\u0128\u0129", "⠐⠊⠐⠊"]
  - ["\u012a\u012b", "⠐⠊⠐⠊"]
  - ["\u012c\u012d", "⠐⠊⠐⠊"]
  - ["\u012e\u012f", "⠐⠊⠐⠊"]
  - ["\u0130\u0131", "⠐⠊⠐⠊"]
  - ["\u0132\u0133", "⠊⠚⠊⠚"]
  - ["\u0134\u0135", "⠐⠚⠐⠚"]
  - ["\u0136\u0137", "⠐⠅⠐⠅"]
  - ["\u0138", "⠐⠟"]
  - ["\u0139\u013a", "⠐⠇⠐⠇"]
  - ["\u013b\u013c", "⠐⠇⠐⠇"]
  - ["\u013d\u013e", "⠐⠇⠐⠇"]
  - ["\u013f\u0140", "⠐⠇⠐⠇"]
  - ["\u0141\u0142", "⠐⠇⠐⠇"]
  - ["\u0143\u0144", "⠐⠝⠐⠝"]
  - ["\u0145\u0146", "⠐⠝⠐⠝"]
  - ["\u0147\u0148", "⠐⠝⠐⠝"]
  - ["\u0149", "⠈⠝"]
  - ["\u014a\u014b", "⠐⠝⠐⠝"]
  - ["\u014c\u014d", "⠐⠕⠐⠕"]
  - ["\u014e\u014f", "⠐⠕⠐⠕"]
  - ["\u0150\u0151", "⠐⠕⠐⠕"]
  - ["\u0152\u0153", "⠕⠑⠕⠑"]
  - ["\u0154\u0155", "⠐⠗⠐⠗"]
  - ["\u0156\u0157", "⠐⠗⠐⠗"]
  - ["\u0158\u0159", "⠐⠗⠐⠗"]
  - ["\u015a\u015b", "⠐⠎⠐⠎"]
  - ["\u015c\u015d", "⠐⠎⠐⠎"]
  - ["\u015e\u015f", "⠐⠎⠐⠎"]
  - ["\u0160\u0161", "⠐⠎⠐⠎"]
  - ["\u0162\u0163", "⠐⠞⠐⠞"]
  - ["\u0164\u0165", "⠐⠞⠐⠞"]
  - ["\u0166\u0167", "⠐⠞⠐⠞"]
  - ["\u0168\u0169", "⠐⠥⠐⠥"]
  - ["\u016a\u016b", "⠐⠥⠐⠥"]
  - ["\u016c\u016d", "⠐⠥⠐⠥"]
  - ["\u016e\u016f", "⠐⠥⠐⠥"]
  - ["\u0170\u0171", "⠐⠥⠐⠥"]
  - ["\u0172\u0173", "⠐⠥⠐⠥"]
  - ["\u0174\u0175", "⠐⠺⠐⠺"]
  - ["\u0176\u0177", "⠐⠽⠐⠽"]
  - ["\u0178\u00ff", "⠐⠽⠐⠽"]
  - ["\u0179\u017a", "⠐⠵⠐⠵"]
  - ["\u017b\u017c", "⠐⠵⠐⠵"]
  - ["\u017d\u017e", "⠐⠵⠐⠵"]
  - ["\u017f", "⠐⠎"]

# Latin Extended-B

  - ["\u0192", "⠘⠋"]
  - ["\u02dc", "⠘⠠"]

# Greek letters (with dot 5 as prefix)

  - ["\u0386\u03ac", "⠐⠁⠐⠁"]
  - ["\u0388\u03ad", "⠐⠑⠐⠑"]
  - ["\u0389\u03ae", "⠐⠱⠐⠱"]
  - ["\u038a\u03af", "⠐⠊⠐⠊"]
  - ["\u038c\u03cc", "⠐⠕⠐⠕"]
  - ["\u038e\u03cd", "⠐⠥⠐⠥"]
  - ["\u038f\u03ce", "⠐⠺⠐⠺"]
  - ["\u0391\u03b1", "⠐⠁⠐⠁"]
  - ["\u0392\u03b2", "⠐⠃⠐⠃"]
  - ["\u0393\u03b3", "⠐⠛⠐⠛"]
  - ["\u0394\u03b4", "⠐⠙⠐⠙"]
  - ["\u0395\u03b5", "⠐⠑⠐⠑"]
  - ["\u0396\u03b6", "⠐⠵⠐⠵"]
  - ["\u0397\u03b7", "⠐⠱⠐⠱"]
  - ["\u0398\u03b8", "⠐⠹⠐⠹"]
  - ["\u0399\u03b9", "⠐⠊⠐⠊"]
  - ["\u039a\u03ba", "⠐⠅⠐⠅"]
  - ["\u039b\u03bb", "⠐⠇⠐⠇"]
  - ["\u039c\u03bc", "⠐⠍⠐⠍"]
  - ["\u039d\u03bd", "⠐⠝⠐⠝"]
  - ["\u039e\u03be", "⠐⠭⠐⠭"]
  - ["\u039f\u03bf", "⠐⠕⠐⠕"]
  - ["\u03a0\u03c0", "⠐⠏⠐⠏"]
  - ["\u03a1\u03c1", "⠐⠗⠐⠗"]
  - ["\u03a3\u03c3", "⠐⠎⠐⠎"]
  - ["\u03a4\u03c4", "⠐⠞⠐⠞"]
  - ["\u03a5\u03c5", "⠐⠥⠐⠥"]
  - ["\u03a6\u03c6", "⠐⠋⠐⠋"]
  - ["\u03a7\u03c7", "⠐⠓⠐⠓"]
  - ["\u03a8\u03c8", "⠐⠽⠐⠽"]
  - ["\u03a9\u03c9", "⠐⠺⠐⠺"]

# Punctuation and bullits

  - ["\u2000", " "]
  - ["\u2001", " "]
  - ["\u2002", " "]
  - ["\u2003", " "]
  - ["\u2004", " "]
  - ["\u2005", " "]
  - ["\u2006", " "]
  - ["\u2007", " "]
  - ["\u2008", " "]
  - ["\u2009", " "]
  - ["\u200a", " "]
  - ["\u2010", "⠤"]
  - ["\u2011", "⠤"]
  - ["\u2012", "⠤"]
  - ["\u2013", "⠤⠤"]
  - ["\u2014", "⠤⠤"]
  - ["\u2018", "⠈"]
  - ["\u2019", "⠈"]
  - ["\u201a", "⠈"]
  - ["\u201b", "⠈"]
  - ["\u201c", "⠶"]
  - ["\u201d", "⠶"]
  - ["\u201e", "⠶"]
  - ["\u201f", "⠶"]
  - ["\u2023", "⠘⠄"]
  - ["\u2026", "⠄⠄⠄"]
  - ["\u202f", " "]
  - ["\u2030", "⠚⠴⠴"]
  - ["\u2039", "⠈"]
  - ["\u203a", "⠈"]
  - ["\u203c", "⠖⠖"]
  - ["\u203d", "⠢⠖"]
  - ["\u2043", "⠘⠄"]
  - ["\u2047", "⠢⠢"]
  - ["\u2048", "⠢⠖"]
  - ["\u2049", "⠖⠢"]
  - ["\u204c", "⠘⠄"]
  - ["\u204d", "⠘⠄"]
  - ["\u20ac", "⠘⠑"]
  - ["\u2122", "⠘⠞"]

# Arrows (only a few in 6 dots)

  - ["\u2190", "⠘⠺"]
  - ["\u2191", "⠘⠷"]
  - ["\u2192", "⠘⠗"]
  - ["\u2193", "⠘⠟"]

# Geometrical shapes

  - ["\u25e6", "⠘⠄"]

# Pangram
  - ["Quizdeltagerne spiste jordbær med fløde, mens cirkusklovnen Walther spillede på xylofon.", "⠠⠟⠥⠊⠠⠵⠹⠇⠞⠁⠛⠱⠫ ⠎⠏⠊⠵⠑ ⠚⠭⠙⠃⠜⠗ ⠍ ⠋⠇⠪⠹⠂ ⠍⠣⠎ ⠉⠊⠗⠅⠥⠎⠅⠇⠕⠧⠝⠣ ⠠⠺⠁⠇⠞⠓⠱ ⠎⠏⠊⠇⠇⠑⠹ ⠏ ⠠⠭⠽⠇⠕⠋⠕⠝⠄"]

# Todo: make tests for emphasis

#caps and mixed case
  - ["Foobar", "⠋⠕⠕⠃⠁⠗"]
  - ["FOOBAR", "⠸⠋⠕⠕⠃⠁⠗"]
  - ["FOObar", "⠸⠋⠕⠕⠠⠃⠁⠗"]
  - ["FOO-barfOObar", "⠸⠋⠕⠕⠤⠃⠁⠗⠋⠸⠕⠕⠠⠃⠁⠗"]

# Percent and permille
  - ["1%", "⠼⠁ ⠚⠴"]
  
# Extra digits
  - ["1\u00bc + 1\u00bd = 2\u00be", "⠼⠁⠼⠁⠌⠙ ⠖⠼⠁⠼⠁⠌⠃ ⠶⠼⠃⠼⠉⠌⠙"]

# Dashes
  - ["\u2014 \u0096 \u0097 \u00ad", "⠤⠤ ⠤⠤ ⠤⠤ ⠤⠤"]

# Quotes
  - ["\u201e \u0084 \u201c \u0093 \u201d \u0094 \u00ab \u00bb", "⠶ ⠶ ⠶ ⠶ ⠶ ⠶ ⠶ ⠶"]

# Apostrophes
  - ["` \u201a \u0082 \u2039 \u008b \u2018 \u0091 \u2019 \u0092 \u203a \u009b \u00b4", "⠈ ⠈ ⠈ ⠈ ⠈ ⠈ ⠈ ⠈ ⠈ ⠈ ⠈ ⠈"]

#Times vs. bullit
  - ["\u2022Bullit", "⠘⠄⠃⠥⠇⠇⠊⠞"]
  - ["2 \u00d7 2 = 4", "⠼⠃ ⠄⠼⠃ ⠶⠼⠙"]

# numbers and punctuation
  - ["1,2", "⠼⠁⠂⠃"]
  - ["123.456", "⠼⠁⠃⠉⠄⠙⠑⠋"]
  - ["3-4", "⠼⠉⠤⠼⠙"]
  - ["56-", "⠼⠑⠋⠤"]
  - ["1/2", "⠼⠁⠌⠃"]
  - ["12:34", "⠼⠁⠃⠒⠉⠙"]
  - ["2^10", "⠼⠃⠘⠬⠁⠚"]
  - ["2\u00d72", "⠼⠃⠘⠄⠼⠃"]

  - ["\"quotes\"", "⠶⠠⠟⠥⠕⠳⠎⠶"]
  - ["-dashes-", "⠤⠙⠁⠎⠓⠑⠎⠤"]
  - [":-) :-(", "⠒⠤⠠⠴ ⠒⠤⠠⠦"]
  - [";-) ;-(", "⠆⠤⠠⠴ ⠆⠤⠠⠦"]
  - ["---", "⠤⠤⠤"]
  - ["-", "⠤⠤"]
  - [" -", " ⠤⠤"]
  - [" a-", " ⠠⠁⠤"]
  - [" - ", " ⠤⠤ "]
  - [" -a-", " ⠤⠠⠁⠤"]
  - [" ", " "]
  - ["(parentheses)", "⠦⠏⠁⠗⠣⠞⠓⠑⠎⠑⠎⠴"]
  - ["J) j) %) ') \u2030) \u0089) \u201a) \u0082) \u2039) \u009b) \u2018) \u0091) \u2019) \u0092) \u203a) \u009b)", "⠨⠠⠚⠠⠴ ⠠⠚⠠⠴ ⠚⠴⠠⠴ ⠈⠠⠴ ⠚⠴⠴⠠⠴ ⠚⠴⠴⠠⠴ ⠈⠠⠴ ⠈⠠⠴ ⠈⠠⠴ ⠈⠠⠴ ⠈⠠⠴ ⠈⠠⠴ ⠈⠠⠴ ⠈⠠⠴ ⠈⠠⠴ ⠈⠠⠴"]

  # Exclamation
  - ["\u00a1Que lastima!", "⠠⠲⠠⠟⠥⠑ ⠇⠁⠵⠊⠍⠁⠖"]
  
# digits and letters
  - ["1a", "⠼⠁⠠⠁"]
  - ["1.,-a", "⠼⠁⠄⠂⠤⠠⠁"]

# URLs emails and file names

  - ["$at", "⠘⠲⠁⠞"]
  - ["\u005c\u005cat\u005c\u005cbliver", "⠘⠡⠁⠞⠘⠡⠃⠇⠊⠧⠑⠗"]
  - ["at@bliver.og", "⠁⠞⠘⠁⠃⠇⠊⠧⠑⠗⠄⠕⠛"]
  - ["http://at.bliver.og", "⠓⠞⠞⠏⠒⠌⠌⠁⠞⠄⠃⠇⠊⠧⠑⠗⠄⠕⠛"]
  - ["www.at.bliver.og", "⠠⠺⠠⠺⠠⠺⠄⠁⠞⠄⠃⠇⠊⠧⠑⠗⠄⠕⠛"]
  - ["at.bliver.com", "⠁⠞⠄⠃⠇⠊⠧⠑⠗⠄⠉⠕⠍"]
  - ["www.a.b.c", "⠠⠺⠠⠺⠠⠺⠄⠠⠁⠄⠠⠃⠄⠠⠉"]
  - ["test.txt", "⠞⠑⠎⠞⠄⠞⠠⠭⠞"]

# word contractions

  - ["At", "⠁"]
  - ["at", "⠁"]
  - ["Aldrig", "⠁⠔"]
  - ["aldrig", "⠁⠔"]
  - ["aig", "⠁⠊⠛"]
  - ["Alle", "⠁⠑"]
  - ["alle", "⠁⠑"]
  - ["ae", "⠠⠁⠑"]
  - ["Allerede", "⠁⠇⠗"]
  - ["allerede", "⠁⠇⠗"]
  - ["alr", "⠠⠁⠇⠗"]
  - ["Alligevel", "⠁⠇⠧"]
  - ["alligevel", "⠁⠇⠧"]
  - ["alv", "⠠⠁⠇⠧"]
  - ["Altid", "⠁⠞⠙"]
  - ["altid", "⠁⠞⠙"]
  - ["atd", "⠠⠁⠞⠙"]
  - ["Altså", "⠁⠡"]
  - ["altså", "⠁⠡"]
  - ["aå", "⠠⠁⠡"]
  - ["Bliver", "⠃"]
  - ["bliver", "⠃"]
  - ["Og", "⠉"]
  - ["og", "⠉"]
  - ["Deres", "⠲"]
  - ["deres", "⠲"]
  - ["Du", "⠙"]
  - ["du", "⠙"]
  - ["Eller", "⠑"]
  - ["eller", "⠑"]
  - ["For", "⠋"]
  - ["for", "⠋"]
  - ["Gør", "⠛"]
  - ["gør", "⠛"]
  - ["Har", "⠓"]
  - ["har", "⠓"]
  - ["Jeg", "⠚"]
  - ["jeg", "⠚"]
  - ["Kan", "⠅"]
  - ["kan", "⠅"]
  - ["Lige", "⠇"]
  - ["lige", "⠇"]
  - ["Med", "⠍"]
  - ["med", "⠍"]
  - ["Når", "⠝"]
  - ["når", "⠝"]
  - ["Op", "⠕"]
  - ["op", "⠕"]
  - ["På", "⠏"]
  - ["på", "⠏"]
  - ["Under", "⠟"]
  - ["under", "⠟"]
  - ["Rigtig", "⠗"]
  - ["rigtig", "⠗"]
  - ["Som", "⠎"]
  - ["som", "⠎"]
  - ["Til", "⠞"]
  - ["til", "⠞"]
  - ["Hun", "⠥"]
  - ["hun", "⠥"]
  - ["Ved", "⠧"]
  - ["ved", "⠧"]
  - ["Hvad", "⠺"]
  - ["hvad", "⠺"]
  - ["Over", "⠭"]
  - ["over", "⠭"]
  - ["Han", "⠽"]
  - ["han", "⠽"]
  - ["Efter", "⠵"]
  - ["efter", "⠵"]
  - ["Være", "⠜"]
  - ["være", "⠜"]
  - ["Før", "⠪"]
  - ["før", "⠪"]
  - ["Så", "⠡"]
  - ["så", "⠡"]
  - ["Den", "⠯"]
  - ["den", "⠯"]
  - ["Der", "⠾"]
  - ["der", "⠾"]
  - ["Det", "⠮"]
  - ["det", "⠮"]
  - ["De", "⠹"]
  - ["de", "⠹"]
  - ["En", "⠣"]
  - ["en", "⠣"]
  - ["Er", "⠱"]
  - ["er", "⠱"]
  - ["Et", "⠬"]
  - ["et", "⠬"]
  - ["Gennem", "⠻"]
  - ["gennem", "⠻"]
  - ["Hvor", "⠌"]
  - ["hvor", "⠌"]
  - ["Men", "⠩"]
  - ["men", "⠩"]
  - ["Ned", "⠫"]
  - ["ned", "⠫"]
  - ["Ret", "⠷"]
  - ["ret", "⠷"]
  - ["Skal", "⠿"]
  - ["skal", "⠿"]
  - ["Te", "⠳"]
  - ["te", "⠳"]
  - ["Ve", "⠼"]
  - ["ve", "⠼"]

# partword/nocross
  - ["Denne", "⠯⠫"]
  - ["denne", "⠯⠫"]
  - ["Mændene", "⠍⠜⠝⠹⠫"]
  - ["mændene", "⠍⠜⠝⠹⠫"]
  - ["Derhos", "⠾⠓⠕⠎"]
  - ["derhos", "⠾⠓⠕⠎"]
  - ["Hunderace", "⠓⠥⠝⠹⠗⠁⠉⠑"]
  - ["hunderace", "⠓⠥⠝⠹⠗⠁⠉⠑"]
  - ["Dette", "⠮⠳"]
  - ["dette", "⠮⠳"]
  - ["Detalje", "⠹⠞⠁⠇⠚⠑"]
  - ["detalje", "⠹⠞⠁⠇⠚⠑"]

# Nocross multiple cells
  - ["Endda", "⠑⠟⠙⠁"]
  - ["endda", "⠑⠟⠙⠁"]
  - ["Morgendag", "⠍⠭⠛⠣⠙⠁⠛"]
  - ["morgendag", "⠍⠭⠛⠣⠙⠁⠛"]
  - ["Gendanne", "⠛⠣⠙⠁⠝⠫"]
  - ["gendanne", "⠛⠣⠙⠁⠝⠫"]
  - ["Generelt", "⠻⠫⠷⠇⠞"]
  - ["generelt", "⠻⠫⠷⠇⠞"]

  - ["Fra!", "⠋⠗⠁⠖"]
  - ["fra!", "⠋⠗⠁⠖"]
  - ["!Fra", "⠖⠋⠗⠁"]
  - ["!fra", "⠖⠋⠗⠁"]
  - ["'Af", "⠈⠁⠋"]
  - ["'af", "⠈⠁⠋"]


# No single cell contractions before or after dashes

  - ["at-bliver", "⠁⠞⠤⠃"]
  - ["d-d-du", "⠠⠙⠤⠠⠙⠤⠙⠥"]

# combinations with slashes and other punctuation signs

  - ["Han/hun", "⠽⠌⠥"]
  - ["han/hun", "⠽⠌⠥"]
  - ["Over/under", "⠭⠌⠟"]
  - ["over/under", "⠭⠌⠟"]
  - ["Til/fra", "⠞⠌⠖"]
  - ["til/fra", "⠞⠌⠖"]

# Combinations which require letsign

  - ["1st", "⠼⠁⠠⠎⠞"]
  - ["2nd", "⠼⠃⠠⠝⠙"]
  - ["1A", "⠼⠁⠨⠠⠁", {xfail: true}] # unclear spec
  - ["1a", "⠼⠁⠠⠁"]
  - ["2B", "⠼⠃⠨⠠⠃", {xfail: true}] # unclear spec
  - ["2b", "⠼⠃⠠⠃"]

# Multi-pass tests
  - ["~x |z", "⠘⠠⠠⠭ ⠘⠸⠠⠵"]
  - ["~X |Z", "⠘⠠⠨⠠⠭ ⠘⠸⠨⠠⠵"]
  - ["5É", "⠼⠑⠨⠐⠑"]
